Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-52771

Bump JNA jar to 4.5.1+ for Jenkins to work gracefully on s390x

    XMLWordPrintable

Details

    • Bug
    • Status: Resolved (View Workflow)
    • Major
    • Resolution: Fixed
    • core
    • os.arch s390x
      os.name Linux
      os.version 3.10.0-693.21.1.el7.s390x
      java.runtime.name OpenJDK Runtime Environment
      java.runtime.version 1.8.0_161-b14
    • Jenkins 2.136

    Description

      Jenkins doesn't start smoothly with the current JNA version i.e 4.2.1. We get Unsatisfied link error as 4.2.1 doesn't have support for s390x.
      https://github.com/jenkinsci/jenkins/blob/master/core/pom.xml#L538

      Support for JNA on s390x is being made available as part of JNA 4.5.1 
      https://github.com/matthiasblaesing/jna/commit/1fef4a20a031d91dce6d37e6ef809c9d38708bd2

      We will need to bump up the JNA version from 4.2.1 to 4.5.1+ for Jenkins to work gracefully on S390x. Please help with the same.

      JNA Error on s390x - Please check the attachment for the stack trace.

       

      Attachments

        Issue Links

          Activity

            People

              durgadas Durgadas Kamath
              durgadas Durgadas Kamath
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: